org.springframework.data.relational.core.dialect

## Interface LimitClause

    public interface LimitClause

A clause representing Dialect-specific `LIMIT`.

Since:
  1.1
Author:
  Mark Paluch, Jens Schauder

### Nested Class Summary

Nested Classes
`static class` `LimitClause.Position` Enumeration of where to render the clause within the SQL statement.

### Method Summary

All Methods Instance Methods Abstract Methods
`LimitClause.Position` `getClausePosition()` Returns the `LimitClause.Position` where to apply the `clause`.
`String` `getLimit(long limit)` Returns the `LIMIT` clause to limit results.
`String` `getLimitOffset(long limit, long offset)` Returns a combined `LIMIT/OFFSET` clause that limits results and starts consumption at the given `offset`.
`String` `getOffset(long offset)` Returns the `OFFSET` clause to consume rows at a given offset.

### Method Detail

#### getLimit

    String getLimit(long limit)

Returns the `LIMIT` clause to limit results.

Parameters:
  `limit` - the maximum number of lines returned when the resulting SQL snippet is used.
Returns:
  rendered limit clause.
See Also:
  `getLimitOffset(long, long)`

#### getOffset

    String getOffset(long offset)

Returns the `OFFSET` clause to consume rows at a given offset.

Parameters:
  `offset` - the numbers of rows that get skipped when the resulting SQL snippet is used.
Returns:
  rendered offset clause.
See Also:
  `getLimitOffset(long, long)`

#### getLimitOffset

    String getLimitOffset(long limit,
                          long offset)

Returns a combined `LIMIT/OFFSET` clause that limits results and starts consumption at the given `offset`.

Parameters:
  `limit` - the maximum number of lines returned when the resulting SQL snippet is used.
  `offset` - the numbers of rows that get skipped when the resulting SQL snippet is used.
Returns:
  rendered limit clause.
See Also:
  `getLimit(long)`, `getOffset(long)`

#### getClausePosition

    LimitClause.Position getClausePosition()

Returns the `LimitClause.Position` where to apply the `clause`.